Page MenuHomePhabricator

Setup staging-palladium as puppetmaster and saltmaster
Closed, ResolvedPublic

Description

Easiest to set up, and should be set up first.

If any ::labs roles were found necessary during setting these up, those should be killed.

This should be a fairly beefy machine.

We could also call it deployment-strontium, because strontium is a cooler name.

Details

Related Gerrit Patches:

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added a project: Staging.
yuvipanda added a subscriber: yuvipanda.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 6:30 PM

I should also probably make some hiera setup to make it possible for every instance on one project to have salt and puppetmasters automatically set.

demon added a subscriber: demon.Feb 23 2015, 6:02 PM

I should also probably make some hiera setup to make it possible for every instance on one project to have salt and puppetmasters automatically set.

omg please do

Change 193545 had a related patch set uploaded (by Thcipriani):
Add hiera yaml for staging, refactor salt class

https://gerrit.wikimedia.org/r/193545

change 193545 is applied to staging-palladium.

Formerly had to rely on role::salt::masters::labs::project_master class. After the patch is applied, salt::master can simply be applied relying on hiera for additional information.

coren triaged this task as Medium priority.Mar 2 2015, 3:32 PM
coren added a subscriber: coren.

Change 193545 merged by Andrew Bogott:
Add hiera yaml for staging, refactor salt class

https://gerrit.wikimedia.org/r/193545

thcipriani set Security to None.
thcipriani closed this task as Resolved.Mar 9 2015, 2:48 PM
mmodell moved this task from Backlog to Done on the Staging board.Mar 12 2015, 4:56 PM
yuvipanda reopened this task as Open.Mar 13 2015, 7:11 AM

Re-opening. Just realized palladium is trusty, should be precise...

yuvipanda moved this task from Done to In Progress on the Staging board.Mar 13 2015, 10:20 AM
thcipriani closed this task as Resolved.Mar 13 2015, 7:50 PM
yuvipanda moved this task from In Progress to Done on the Staging board.Mar 14 2015, 6:30 AM